All Products

Query Parameters

Query ParameterTypeDefaultRestrictions
pageSizeInteger20Must be between 1 and 50.
cursorString* (Page 0)Must be the cursor value defined in the previous request.

API Response

FieldTypeDescription
contentListA list of SmartLabel products, each matching the “API JSON Response” data structure.
cursorStringThe value of the cursor supplied, null if first page.
nextCursorStringThe value of the cursor to supply as a query parameter to fetch the next page.
isLastPageBooleanIndicates if iteration over the list of products is complete.
pageSizeIntegerTotal number of products returned in the page.
totalElementsIntegerTotal number of products in the organization.

How to iterate and fetch all products

  1. Fetch the first page by submitting a GET request to https://enterprise-sl-api.labelinsight.com/api/v4/{organizationId}/data/product

Example Response:

  "content": [
        { <SmartLabel Product> },
            …,
        { <SmartLabel Product> }
  ],
  "cursor": null,
  "nextCursor": "1234567",
  "isLastPage": false,
  "pageSize": 20,
  "totalElements": 819
}
  1. Fetch the next page by supplying the nextCursor field from the previous request as the cursor query parameter in the next request. For example, to fetch page 2: https://enterprise-sl-api.labelinsight.com/api/v4/{organizationId}/data/product?cursor=1234567

  2. Continue making requests to the API using the cursor from the previous API response. The cursor will change in each response, so it must be maintained between requests.

  3. Stop iterating once the isLastPage boolean is true in the API response.

Other Notes

  • Once the last page is reached, the nextCursor value will be null.
  • If the pageSize requested exactly matches the number of products returned in the last page, the subsequent request will return an empty list of products with isLastPage boolean set to true to terminate the iteration.
Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
required

Authorization key provided by Label Insight

Query Params
integer

Must be an Integer between 1 and 50

integer

Must be the cursor value defined in the previous request

Headers
string

API key provided by Label Insight

Responses

400

Request is missing data or is malformed.

403

Invalid or missing API key, or invalid URL.

404

Requested information cannot be found.

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json